계산·부동산
계산(저장 안 함)
권한 없이 어느 토큰으로나 부릅니다.
POST
/
v1
/
simulate
계산(저장 안 함)
curl --request POST \
--url https://api.morrowly.app/v1/simulate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"monthlyContribution": 123,
"name": "<string>",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"value": 123
}
],
"assumptions": {
"capLoans": true,
"cashFloor": 123,
"cashReturn": 123,
"childDependent": true,
"contributions": [
{
"assetId": "<string>",
"monthlyAmount": 123,
"until": "<string>",
"untilRetirement": true
}
],
"dividendYield": 123,
"harvestGains": true,
"incomeGrowth": 123,
"inflation": 123,
"investmentReturn": 123,
"prepayDebt": true,
"realEstateGrowth": 123,
"safeWithdrawalRate": 123,
"surplusTargetAssetId": "<string>"
},
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseRate": 123,
"id": "<string>",
"monthlyAmount": 123,
"name": "<string>",
"start": "<string>"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"events": [
{
"amount": 123,
"asset": {
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"monthlyContribution": 123,
"name": "<string>",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"value": 123
},
"assetId": "<string>",
"at": "<string>",
"cashFlowId": "<string>",
"cost": 123,
"firstHome": true,
"liabilityId": "<string>",
"loan": {
"annualRate": 123,
"id": "<string>",
"interestDeduction": true,
"name": "<string>",
"principal": 123,
"remainingMonths": 123
},
"marriageOrBirth": true,
"monthlyAmount": 123,
"name": "<string>",
"payOffLiabilityId": "<string>",
"rate": 123,
"recipient": "<string>",
"serviceYears": 123,
"toAssetId": "<string>",
"type": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": true,
"name": "<string>",
"principal": 123,
"remainingMonths": 123
}
],
"months": 123,
"startMonth": "<string>"
}
'import requests
url = "https://api.morrowly.app/v1/simulate"
payload = {
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"monthlyContribution": 123,
"name": "<string>",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"value": 123
}
],
"assumptions": {
"capLoans": True,
"cashFloor": 123,
"cashReturn": 123,
"childDependent": True,
"contributions": [
{
"assetId": "<string>",
"monthlyAmount": 123,
"until": "<string>",
"untilRetirement": True
}
],
"dividendYield": 123,
"harvestGains": True,
"incomeGrowth": 123,
"inflation": 123,
"investmentReturn": 123,
"prepayDebt": True,
"realEstateGrowth": 123,
"safeWithdrawalRate": 123,
"surplusTargetAssetId": "<string>"
},
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseRate": 123,
"id": "<string>",
"monthlyAmount": 123,
"name": "<string>",
"start": "<string>"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"events": [
{
"amount": 123,
"asset": {
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"monthlyContribution": 123,
"name": "<string>",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"value": 123
},
"assetId": "<string>",
"at": "<string>",
"cashFlowId": "<string>",
"cost": 123,
"firstHome": True,
"liabilityId": "<string>",
"loan": {
"annualRate": 123,
"id": "<string>",
"interestDeduction": True,
"name": "<string>",
"principal": 123,
"remainingMonths": 123
},
"marriageOrBirth": True,
"monthlyAmount": 123,
"name": "<string>",
"payOffLiabilityId": "<string>",
"rate": 123,
"recipient": "<string>",
"serviceYears": 123,
"toAssetId": "<string>",
"type": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": True,
"name": "<string>",
"principal": 123,
"remainingMonths": 123
}
],
"months": 123,
"startMonth": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assets: [
{
acquiredAt: '<string>',
acquisitionPrice: 123,
annualRate: 123,
dividendYield: 123,
id: '<string>',
monthlyContribution: 123,
name: '<string>',
payoutStartAge: 123,
payoutYears: 123,
region: '<string>',
serviceYears: 123,
value: 123
}
],
assumptions: {
capLoans: true,
cashFloor: 123,
cashReturn: 123,
childDependent: true,
contributions: [
{
assetId: '<string>',
monthlyAmount: 123,
until: '<string>',
untilRetirement: true
}
],
dividendYield: 123,
harvestGains: true,
incomeGrowth: 123,
inflation: 123,
investmentReturn: 123,
prepayDebt: true,
realEstateGrowth: 123,
safeWithdrawalRate: 123,
surplusTargetAssetId: '<string>'
},
birthMonth: '<string>',
cash: 123,
cashFlows: [
{
annualGrowth: 123,
end: '<string>',
expenseRate: 123,
id: '<string>',
monthlyAmount: 123,
name: '<string>',
start: '<string>'
}
],
dependents: [{birthMonth: '<string>', id: '<string>', name: '<string>'}],
events: [
{
amount: 123,
asset: {
acquiredAt: '<string>',
acquisitionPrice: 123,
annualRate: 123,
dividendYield: 123,
id: '<string>',
monthlyContribution: 123,
name: '<string>',
payoutStartAge: 123,
payoutYears: 123,
region: '<string>',
serviceYears: 123,
value: 123
},
assetId: '<string>',
at: '<string>',
cashFlowId: '<string>',
cost: 123,
firstHome: true,
liabilityId: '<string>',
loan: {
annualRate: 123,
id: '<string>',
interestDeduction: true,
name: '<string>',
principal: 123,
remainingMonths: 123
},
marriageOrBirth: true,
monthlyAmount: 123,
name: '<string>',
payOffLiabilityId: '<string>',
rate: 123,
recipient: '<string>',
serviceYears: 123,
toAssetId: '<string>',
type: '<string>'
}
],
liabilities: [
{
annualRate: 123,
id: '<string>',
interestDeduction: true,
name: '<string>',
principal: 123,
remainingMonths: 123
}
],
months: 123,
startMonth: '<string>'
})
};
fetch('https://api.morrowly.app/v1/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"incomes": [
{
"dependentFails": true,
"dependentIncome": 123,
"financialIncome": 123,
"owner": "SELF",
"privatePension": 123,
"year": 123
}
],
"loanChecks": [
{
"borrowed": 123,
"event": "<string>",
"limit": {
"cap": 123,
"dsr": 123,
"ineligible": "HOME",
"limit": 123,
"ltv": 123,
"policy": "DIDIMDOL",
"regulated": true
},
"principal": 123
}
],
"months": [
{
"age": 123,
"assets": {},
"cash": 123,
"debtPayment": 123,
"expense": 123,
"flows": {
"debt": {},
"events": {},
"expense": {},
"income": {},
"saved": {},
"sold": {},
"withdrawn": {}
},
"income": 123,
"liabilities": {},
"month": "<string>",
"netWorth": 123,
"shortfall": true,
"tax": 123,
"taxes": {},
"totalAssets": 123,
"totalLiabilities": 123
}
],
"repeats": {},
"summary": {
"estate": {
"age": 123,
"charity": 123,
"charityShare": 123,
"first": {
"charity": 123,
"financial": 123,
"financialDeduction": 123,
"giftsAdded": 123,
"gross": 123,
"personalDeduction": 123,
"spouseDeduction": 123,
"tax": 123,
"taxable": 123
},
"legalSpouseShare": 123,
"month": "<string>",
"netWorth": 123,
"ownership": 123,
"second": {
"charity": 123,
"financial": 123,
"financialDeduction": 123,
"giftsAdded": 123,
"gross": 123,
"personalDeduction": 123,
"spouseDeduction": 123,
"tax": 123,
"taxable": 123
},
"spouseShare": 123,
"tax": 123,
"toHeirs": 123
},
"fiAge": 123,
"finalNetWorth": 123,
"firstShortfallMonth": "<string>",
"liquidByAge": {},
"minCash": 123,
"netWorthByAge": {},
"retirementNetWorth": 123,
"spendingAfter": 123,
"spendingBefore": 123
},
"taxYears": [
{
"age": 123,
"brackets": [
{
"rate": 123,
"upTo": 123
}
],
"earners": [
{
"calculated": 123,
"credits": {},
"deductions": {},
"determined": 123,
"marginalRate": 123,
"owner": "SELF",
"pay": 123,
"taxBase": 123
}
],
"pensionAccountCredit": 123,
"year": 123
}
],
"warnings": [
{
"event": "<string>",
"kind": "LAND_PERMIT_GAP"
}
]
},
"error": {
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
},
"result": "SUCCESS"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
계산(저장 안 함)
